# EMIS-X Partner Rest API File Record error

**URL:** <https://developer.community.nhs.uk/t/emis-x-partner-rest-api-file-record-error/13916>\
**Category:** API Platform\
**Tags:** testing, fhir, integration\
**Created:** [30 July 2026 08:57 UTC](https://developer.community.nhs.uk/t/emis-x-partner-rest-api-file-record-error/13916 "2026-07-30T08:57:05Z")\
**Posts on this page:** 2\
**Page:** 1

<div class="post-metadata">

**Author:** ![irfan\_syed](https://avatars.discourse-cdn.com/v4/letter/i/71e660/32.png) [@irfan\_syed](https://developer.community.nhs.uk/u/irfan_syed)\
**Post date:** [30 July 2026 08:57 UTC](https://developer.community.nhs.uk/t/emis-x-partner-rest-api-file-record-error/13916/1 "2026-07-30T08:57:05Z")

</div>

Hi all,

I am currently testing the EMIS-X Partner Rest API endpoint:

`POST /partner/api/v1/medicalRecord/FileRecord?patientNumber=3`

The patient number is valid, and we are able to retrieve organisation, user, location, and location type details from `GetOrganisation`.

However, when sending the `FileRecord` payload in JSON format, we receive the following error:

`500 - There was an error generating the XML document.`

I also tried sending an XML payload, but that returned:

`400 - An error occurred while deserializing input data.`

Has anyone faced this issue before with `FileRecord`?

Could someone please confirm the expected request body format for filing a simple text comment as a new consultation? A minimum valid JSON or XML example would be very helpful.

Thanks.

---

<div class="post-metadata">

**Author:** ![navin.bose](https://avatars.discourse-cdn.com/v4/letter/n/22d042/32.png) [@navin.bose](https://developer.community.nhs.uk/u/navin.bose)\
**Post date:** [30 July 2026 12:58 UTC](https://developer.community.nhs.uk/t/emis-x-partner-rest-api-file-record-error/13916/2 "2026-07-30T12:58:20Z")

</div>

Hi Irfan,

This appears to be an **EMIS Partner API-specific** issue rather than an NHS England API Platform issue.

It looks like a payload format issue. Unfortunately, the API Platform team does not have access to the EMIS Partner API implementation or sample payloads for the `FileRecord` endpoint, so we are unable to confirm the minimum valid JSON or XML request body required to create a consultation.

I would recommend raising this with the **EMIS Partner API Support team** ,

Thanks,

**NHS England API Platform team**

**Please note: The API Platform team can only address queries relevant to the NHS England API Platform, including security, rate limiting, logging, monitoring and alerting. For any API, CIS2, NHS Login specific queries, please reach out to the relevant API / Service teams.**
